import java.awt.*;
import javax.swing.*;

public class JSplitPaneTest extends JFrame {
	JSplitPaneTest() {
		String[] data = { "A", "B", "C" };
		JTree tree = new JTree();
		JList list = new JList(data);

		JSplitPane splitPane = new JSplitPane();
		splitPane.setDividerSize(5);
		splitPane.setLeftComponent(tree);
		splitPane.setRightComponent(list);
		getContentPane().add(splitPane);

		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setTitle("JSplitPaneTest");
		setSize(200, 150);
		setVisible(true);
	}
	public static void main(String[] args) {
		new JSplitPaneTest();
	}
}
